'use strict';

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _prompt = require('./prompt');

var _prompt2 = _interopRequireDefault(_prompt);

var _bluebird = require('bluebird');

var _bluebird2 = _interopRequireDefault(_bluebird);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _inquirerCredentials = require('inquirer-credentials');

var _inquirerCredentials2 = _interopRequireDefault(_inquirerCredentials);

var _meow = require('meow');

var _meow2 = _interopRequireDefault(_meow);

var _trakt = require('./trakt');

var _storage = require('./storage');

var _storage2 = _interopRequireDefault(_storage);

var token = {
		name: 'token',
		type: 'input',
		env: 'TRAKT_TOKEN'
};

var cli = (0, _meow2['default'])('\n    Usage\n      $ media-center <file>\n\n    Options\n      -p player (vlc or omx)\n', {
		pkg: './../package.json'
});

var player = null;

if (cli.flags.p === 'vlc') {
		player = require('./players/vlc');
} else if (cli.flags.p === 'omx') {
		player = require('./players/omx');
} else {
		cli.showHelp();
		process.exit(1);
}

(0, _inquirerCredentials2['default'])('.media-center-npm', [token]).then(function (credentials) {
		(0, _trakt.setToken)(credentials.token);
		var file = cli.input.join(' ');

		var fileDir = _path2['default'].dirname(file);
		var ext = _path2['default'].extname(file);
		var fileBase = _path2['default'].basename(file, ext);

		var nfoPath = fileDir + '/' + fileBase + '.media-center-nfo';
		var dataPromise = null;

		if (_fs2['default'].existsSync(nfoPath)) {
				var data = _fs2['default'].readFileSync(nfoPath, 'utf-8');
				dataPromise = _bluebird2['default'].resolve(JSON.parse(data));
		} else {
				var dataPromise = (0, _prompt2['default'])().then(function (result) {
						_fs2['default'].writeFileSync(nfoPath, JSON.stringify(result, null, 2), 'utf-8');
						return result;
				});
		}

		dataPromise.then(function (result) {
				_storage2['default'].emit(_storage.OPEN_MEDIA, result);
				player(file);
		});
});