'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _omxplayer = require('omxplayer');

var _omxplayer2 = _interopRequireDefault(_omxplayer);

var _storage = require('./../storage');

var _storage2 = _interopRequireDefault(_storage);

exports['default'] = function (file) {
	var configuration = {};
	var omxplayer = new _omxplayer2['default'](configuration);

	var duration = 0;
	var position = 0;

	omxplayer.start(file, function (error) {
		setTimeout(function () {
			_storage2['default'].emit(_storage.PLAY_MEDIA, position / duration * 100);
		}, 1000);
	});

	omxplayer.on('prop:Duration', function (_duration) {
		duration = _duration;
	});

	omxplayer.on('prop:Position', function (_position) {
		position = _position;
	});

	omxplayer.on('prop:PlaybackStatus', function (status) {
		if (status === 'Playing') {
			_storage2['default'].emit(_storage.PLAY_MEDIA, position / duration * 100);
		} else if (status === 'Paused') {
			_storage2['default'].emit(_storage.PAUSE_MEDIA, position / duration * 100);
		}
	});

	process.stdin.setRawMode(true);
	process.stdin.pipe(omxplayer._omxProcess.stdin);

	omxplayer.on('stopped', function () {
		process.stdin.setRawMode(false);
		process.stdin.unpipe();

		_storage2['default'].emit(_storage.PAUSE_MEDIA, position / duration * 100);
	});
};

module.exports = exports['default'];