'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _mpris = require('mpris');

var _mpris2 = _interopRequireDefault(_mpris);

var _storage = require('./../storage');

var _storage2 = _interopRequireDefault(_storage);

exports['default'] = function (file) {
  var duration = null;

  _mpris2['default'].Player.on('MetadataChanged', function (newValue, oldValue) {
    duration = newValue['mpris:length'];
  });

  _mpris2['default'].Player.on('PlaybackStatusChanged', function (newValue, oldValue) {
    _mpris2['default'].Player.GetMetadata(function (error, metadata) {
      var status = newValue.toLowerCase();

      _mpris2['default'].Player.GetPosition(function (err, data) {
        var position = data;
        var progress = position / duration * 100;

        if (status === 'playing') {
          _storage2['default'].emit(_storage.PLAY_MEDIA, progress);
        } else if (status === 'paused') {
          _storage2['default'].emit(_storage.PAUSE_MEDIA, progress);
        } else if (status === 'stopped') {
          _storage2['default'].emit(_storage.PAUSE_MEDIA, progress);
        }
      });
    });
  });

  var args = [
  // '-I', 'qt4',
  '--control', 'dbus'];

  _mpris2['default'].start('vlc', args, function (error) {
    _mpris2['default'].Player.OpenUri('file://' + file, function (error) {
      _mpris2['default'].Player.Play(function (error) {
        console.log('started');
      });
    });
  });
};

module.exports = exports['default'];