'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _superagent = require('superagent');

var _superagent2 = _interopRequireDefault(_superagent);

var _storage = require('./storage');

var _storage2 = _interopRequireDefault(_storage);

var token = null;
var setToken = function setToken(_token) {
	return token = _token;
};

exports.setToken = setToken;
var currMedia = null;
_storage2['default'].on(_storage.OPEN_MEDIA, function (data) {
	currMedia = data;
});
_storage2['default'].on(_storage.PLAY_MEDIA, function (progress) {
	startScrobble(getData(_extends({}, currMedia, { progress: progress })));
});
_storage2['default'].on(_storage.PAUSE_MEDIA, function (progress) {
	stopScrobble(getData(_extends({}, currMedia, { progress: progress })));
});

var method = function method(url, data, cb) {
	_superagent2['default'].post(url).send(data).set('Content-Type', 'application/json').set('Accept', 'application/json').set('Authorization', 'Bearer ' + token).set('trakt-api-key', '412681ab85026009c32dc6e525ba6226ff063aad0c1a374def0c8ee171cf121f').set('trakt-api-version', '2').end(cb);
};

exports.method = method;
var startScrobble = function startScrobble(data) {
	method('https://api-v2launch.trakt.tv/scrobble/start', data, function (err, res) {
		console.log('err', err != null);
	});
};

exports.startScrobble = startScrobble;
var stopScrobble = function stopScrobble(data) {
	method('https://api-v2launch.trakt.tv/scrobble/stop', data, function (err, res) {
		console.log('err', err != null);
	});
};

exports.stopScrobble = stopScrobble;
var getData = function getData(data) {
	console.log(data);

	if (data.type === 'show') {
		return getShowData(data);
	} else if (data.type === 'movie') {
		return getMovieData(data);
	}
};

exports.getData = getData;
var getShowData = function getShowData(data) {
	return {
		show: {
			ids: {
				imdb: data.imdb
			}
		},
		episode: {
			season: data.s,
			number: data.ep
		},
		progress: data.progress
	};
};

exports.getShowData = getShowData;
var getMovieData = function getMovieData(data) {
	return {
		movie: {
			ids: {
				imdb: data.imdb
			}
		},
		progress: data.progress
	};
};
exports.getMovieData = getMovieData;